module MyMod
  def meth
    "from module: super = " + super
  end
end

# ParentClass is unchanged
class ChildClass < ParentClass
  include MyMod
  def meth
    "from child: super = " + super
  end
end

x = ChildClass.new
p x.meth        # from child: super = from module: super = from parent

